## org.eclipse.emf.codegen.merge.java.facade
Interface JImport

All Superinterfaces:
  JNode

All Known Implementing Classes:
  ASTJImport, JDOMJImport

    public interface JImport

extends JNode

Represents an import declaration in Java compilation unit.

Since:
  2.2.0

Method Summary
`boolean` `isOnDemand()` Returns whether this import declaration ends with `".`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Method Detail

### isOnDemand

    boolean isOnDemand()

  Returns whether this import declaration ends with `".*"`.

  Returns:
    `true` if this in an on-demand import

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.